<div class="main-heading">
  <h3>Financial Goals</h3>
  <div>
    <h5>Select Goal Type <span class="mat-asterisk">*</span></h5>
    <mat-form-field appearance="outline" class="goal-type-mat-field">
      <mat-select [(ngModel)]="selectedGoalType">
        <mat-option value="">Select</mat-option>
        <mat-option
          *ngFor="let goal of goalOptions"
          [value]="goal.value"
          [disabled]="isOptionDisabled(goal.value)"
        >
          {{ goal.label }}
        </mat-option>
      </mat-select>
    </mat-form-field>
    <button
      mat-button
      [disabled]="!selectedGoalType"
      (click)="addGoal()"
    >
      + Add
    </button>
  </div>
  <div *ngIf="selectedGoalValue">
    <div *ngFor="let goal of goals">
      <mat-card class="goal-card">
        <button mat-icon-button aria-label="Delete" class="delete-icon">
          <mat-icon class="icon-delete" (click)="removeGoal(goal)"
            >delete</mat-icon
          >
        </button>
        <h4>
          {{ goal.goalType }}
        </h4>
        <div class="selected-goal">
          <div>
            <h5 class="select-goal-heading">
              Select Goal <span class="mat-asterisk">*</span>
            </h5>
            <mat-form-field appearance="outline" class="mat-field-goal">
              <mat-select [(ngModel)]="goal.selectedGoal">
                <mat-option value="">Select</mat-option>
                <mat-option
                  *ngFor="let g of goalTypes[goal.goalType]"
                  [value]="g"
                  [disabled]="isOptionDisabledsubGoal(g)"
                  >{{ g }}</mat-option
                >
              </mat-select>
            </mat-form-field>
            <button
              mat-flat-button
              [disabled]="!goal.selectedGoal"
              (click)="addSubGoal(goal)"
              class="add-goal"
            >
              +Add
            </button>
          </div>
          <div class="select-subgoal" *ngIf="goal.subGoals.length > 0">
            <table mat-table [dataSource]="goal.subGoals">
              <ng-container matColumnDef="Goal">
                <th mat-header-cell *matHeaderCellDef >
                  Goal
                </th>
                <td mat-cell *matCellDef="let element; let i = index">
                  <input
                    matInput
                    disabled
                    [(ngModel)]="element.selectedGoal"
                    placeholder="selectedGoal"
                    class="input-subgoal"
                  />
                </td>
              </ng-container>
              <ng-container matColumnDef="Description">
                <th mat-header-cell *matHeaderCellDef >
                  Description
                </th>
                <td
                  class="table-row"
                  mat-cell
                  *matCellDef="let element; let i = index"
                >
                  <input
                    matInput
                    [(ngModel)]="element.description"
                    placeholder="Description"
                    class="input-field-subgoal"
                  />
                </td>
              </ng-container>
              <ng-container matColumnDef="Target Date">
                <th mat-header-cell *matHeaderCellDef >
                  Target Date
                </th>
                <td mat-cell *matCellDef="let element; let i = index">
                  <input
                    placeholder="MM/DD/YYYY"
                    [(ngModel)]="element.targetDate"
                    class="input-field-subgoal"
                    matInput
                    [matDatepicker]="picker"
              
                  />
                  <mat-datepicker-toggle [for]="picker"></mat-datepicker-toggle>
                  <mat-datepicker #picker></mat-datepicker>
                </td>
              </ng-container>
              <ng-container matColumnDef="Actions">
                <th
                  mat-header-cell
                  *matHeaderCellDef
                  class="sub-heading-action"
                >
                  Actions
                </th>
                <td mat-cell *matCellDef="let i = index; let element">
                  <button class="delete-icon"
                    mat-icon-button
                    (click)="removeSubGoal(goal, i, element)"
                  >
                    <mat-icon class="icon-delete">delete</mat-icon>
                  </button>
                </td>
              </ng-container>
              <tr
                mat-header-row
                *matHeaderRowDef="displayedColumns"
                class="table-row"
              ></tr>
              <tr
                class="table-row-heading"
                mat-row
                *matRowDef="let row; columns: displayedColumns"
              ></tr>
            </table>
          </div>
        </div>
      </mat-card>
    </div>
    <div>
      <button class="save-btn"
        mat-button
        aria-label="Delete"
        [disabled]="!isValid()"
        (click)="save()"
      >
        Save
      </button>
      <button class="save-btn"
      mat-button
      aria-label="Delete"

      (click)="clearForm()"
    >
      Clear
    </button>
    </div>
    
  </div>
</div>
